classification
Title: fixing sqlite3 docs for py3k
Type: Stage:
Components: Documentation Versions: Python 3.1, Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, ezio.melotti, georg.brandl, ghaering, l0nwlf, r.david.murray
Priority: normal Keywords: patch

Created on 2010-05-24 19:57 by l0nwlf, last changed 2010-10-17 09:33 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
sqlite.rst.patch l0nwlf, 2010-05-24 19:57 change sqlite3 docs as appropriate for py3k instead of py2.x
Messages (5)
msg106382 - (view) Author: Shashwat Anand (l0nwlf) Date: 2010-05-24 19:57
The docs of sqlite3 for python 3.0 and 3.1 seems to be written for python 2.6 and hence wrong at many places.
like, 
>>> for member in r: print member 

However the docs for sqlite3 in py3k trunk seems fine. The sqlite3 doc in py3k trunk should be used in these places.

http://docs.python.org/release/3.0.1/library/sqlite3.html
http://docs.python.org/release/3.1/library/sqlite3.html
msg106408 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-05-24 23:37
Hmm, the patch mostly doesn't apply for me on the 3.1 branch.  (Note that 3.0 docs aren't maintained anymore, just like 3.0 itself.)
msg106409 - (view) Author: Shashwat Anand (l0nwlf) Date: 2010-05-24 23:57
ok,
I think a few example codes are wrongly mentioned as if it were 2.x docs, however those examples at http://docs.python.org/dev/py3k/library/sqlite3 works correctly.
Do by 'mostly', do you mean I should submit another patch with only those wrong examples rectified ?
msg106713 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-05-29 08:49
Well, if I try applying your patch to 3.1 it fails.  It would be nice to have one that applies flawlessly :)
msg118919 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-10-17 09:33
This was mostly fixed already, committed rest in r85611.
History
Date User Action Args
2010-10-17 09:33:29georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg118919
2010-05-29 08:49:18georg.brandlsetmessages: + msg106713
2010-05-26 22:14:22l0nwlfsetnosy: + r.david.murray
2010-05-24 23:57:24l0nwlfsetmessages: + msg106409
2010-05-24 23:37:57georg.brandlsetmessages: + msg106408
2010-05-24 23:30:57ezio.melottisetnosy: + ezio.melotti
2010-05-24 19:57:07l0nwlfcreate